may i ask 3 questions

Jun 27, 2015 at 9:43 AM
Edited Jun 29, 2015 at 1:36 AM
hello sir
 i'd like to ask three questions

1 i have seen the REST SDK 2.6.0 source code,you did remove the VS 2012 project files,however,i still can find the 2.6.0 in nuget manager in VS 2012, can i download the rest sdk 2.6.0 in VS 2012 via nuget manager?

2 when i download the rest sdk which version is 2.5.0 and is suitable for VS 2012,is it correct that i should add the include folder and static library folder manually?

3 does C++ rest sdk 2.6.0 support target to XP in VS 2013?i ever asked you a question which rest sdk has issue when target to XP in VS 2013,do you remember?

https://casablanca.codeplex.com/workitem/331
you said that i can't target to XP in VS 2013,i have to target XP with the VS 2012 at that thread
thanks
regards
Ken
Jun 29, 2015 at 8:48 PM
Hi redmondfanscn,
  1. The NuGet package manager doesn't restrict or limit the packages you see based on what Visual Studio version supported. No our NuGet package no longer contains binaries for VS 2012. Only VS 2013 and 2015.
  2. We don't official support static linking on Windows or provide binaries for it. The NuGet package will automatically taking care of the includes, linking with the libs, and deploying the dlls when a reference is added to it. The 2.5.0 release doesn't include binaries for VS 2012 either. The last release that contains the binaries for VS 2012 was 2.4.0.
  3. Yes targeting XP using VS 2013 is supported. In past versions of our NuGet package there might have been issues, but I'm not aware of any current problems.
Steve
Marked as answer by redmondfanscn on 6/30/2015 at 7:25 AM